assemble_image_pieces_chapter04 = {}
local self = assemble_image_pieces_chapter04
self.params = 
{

init_pos = 	
	{
		-- 1		
		sf.misc.FloatVector(70.5, 248),
		-- 2
		sf.misc.FloatVector(187.5, 142),
		--3
		sf.misc.FloatVector(183.5, 268),
		--4
		sf.misc.FloatVector(112.5, 431),
		--5
		sf.misc.FloatVector(46.5, 336),
		--6
		sf.misc.FloatVector(48.5, 114),
		-- 7
		sf.misc.FloatVector(245.5, 507),
		-- 8
		sf.misc.FloatVector(355.5, 481),
		--9
		sf.misc.FloatVector(474.5, 517),
		--10
		sf.misc.FloatVector(757.5, 506),
		--11
		sf.misc.FloatVector(588.5, 479),
		--12
		sf.misc.FloatVector(713.5, 405),
		--13
		sf.misc.FloatVector(765.5, 305),
		--14
		sf.misc.FloatVector(756.5, 61),
		--15
		sf.misc.FloatVector(771.5, 191),
		--16
		sf.misc.FloatVector(284.5, 25)
	},

target_pos = 
	{
		-- 1		
		sf.misc.FloatVector(311, 139),
		-- 2
		sf.misc.FloatVector(401, 131),
		--3
		sf.misc.FloatVector(491, 213),
		--4
		sf.misc.FloatVector(607, 223),
		--5
		sf.misc.FloatVector(310, 308),
		--6
		sf.misc.FloatVector(402, 212),
		-- 7
		sf.misc.FloatVector(303, 215),
		-- 8
		sf.misc.FloatVector(503, 129),
		--9
		sf.misc.FloatVector(606, 127),
		--10
		sf.misc.FloatVector(399, 305),
		--11
		sf.misc.FloatVector(506, 307),
		--12
		sf.misc.FloatVector(603, 306),
		--13
		sf.misc.FloatVector(308, 385),
		--14
		sf.misc.FloatVector(406, 388),
		--15
		sf.misc.FloatVector(508, 386),
		--16
		sf.misc.FloatVector(609, 386)
	},
	
	colors = 
	{
		normal = sf.graphics.Color(255, 255, 255, 255),
		selected = sf.graphics.Color(255, 255, 255, 255)
	},
	
	highlight_effect = 
	{
		color =
		{
			min = sf.graphics.Color(255, 255, 255, 255),
			max = sf.graphics.Color(255, 100, 200, 100)
		},
		
		time = 700
	},
	
	moving_effect = 
	{
		speed = 0.2
	},
	
	inaccuracy = 15.0,
	
	sound_take = "take_sheet",
	sound_right_put = "put_part",
	sound_error_put = "put_stone_to_glass"
}

self.Init = function(_owner)
	assemble_image_pieces.params = self.params
	assemble_image_pieces.Init(_owner)
end

for p,v in pairs(assemble_image_pieces) do
	if not self[p] then self[p] = v end
end